// Standard Style
@import "style.scss";
@import "icon.scss";
@import "color.scss";

// Standard Framework
@import "navbar.scss";
@import "sidebar.scss";
@import "footer.scss";
@import "loading.scss";
@import "toast.scss";
@import "tooltip.scss";

// Main Content BEGIN
main {
  width: calc(100% - 280px);
  margin-left: auto;
  // max-height: calc(100vh - 80px);
  max-height: 100%;
  background-color: #f8f9fa;
  transition: 0.5s ease all;

  // overflow-x: hidden;
  // overflow-y: scroll;

  overflow: hidden !important;

  &.sidebar__hide {
    width: calc(100% - 100px);
    margin-left: auto;
  }

  .main-content {
    // overflow-y: auto;
    // overflow-x: hidden;
    max-width: 1280px;
    width: 100%;
    min-height: calc(100vh - 162px);
    height: auto;
    background-color: $bg-light-grey;
    margin: 16px auto;
    overflow: hidden;

    .content__wrapper {
      box-sizing: border-box;
      display: none;
      flex-direction: column;
      justify-content: flex-start;
      align-items: flex-start;

      height: calc(100vh - 194px);
      max-height: calc(100vh - 194px);
      width: 1260px;
      box-sizing: border-box;
      padding: 20px;
      margin: 0 auto;
      border-radius: $border-radius-default;
      background-color: transparent;

      &.active {
        display: flex;
      }

      .divider {
        width: 100%;
        height: 1px;
        background-color: rgba(0, 0, 0, 0.2);
        margin: 8px 0;
      }

      &#main-page {
        .content__header {
          display: flex;
          flex-direction: row;
          justify-content: flex-start;
          align-items: center;

          height: 50px;
          width: 100%;
          margin: 16px auto;

          &-title {
            font-family: Roboto;
            font-size: 32px;
            color: #000;
          }
        }

        .content__body {
          display: flex;
          flex-direction: column;
          justify-content: flex-start;
          align-items: center;

          height: 700px;
          width: 1260px;
          padding: 0;
          border-radius: 5px;
          background-color: $bg-white-color;

          .functional {
            display: flex;
            flex-direction: row;
            justify-content: flex-start;
            align-items: center;
            width: calc(100% - 32px);
            margin: 16px;
            font-size: 16px;
            font-family: $font-family;

            .date__wrapper {
              box-sizing: border-box;
              display: flex;
              justify-content: center;
              align-items: center;
              padding: 8px;
              border: 1px solid rgba(0, 0, 0, 0.2);
              width: 100%;
              border-radius: 5px;
              margin: 0 8px;

              &-input__box {
                border: none;
                outline: none;
                width: 100%;
                font-size: 16px;
                font-family: $font-family;
              }
            }

            .name__wrapper {
              box-sizing: border-box;
              display: flex;
              justify-content: center;
              align-items: center;
              padding: 11px;
              border: 1px solid rgba(0, 0, 0, 0.2);
              width: 100%;
              border-radius: 5px;
              margin: 0 8px;

              &-input__box {
                border: none;
                outline: none;
                width: 100%;
                font-size: 16px;
                font-family: $font-family;
              }
            }

            .notify__status-dropdown {
              display: block;
              width: 100%;
              margin: 0 8px;

              .dropdown-field {
                box-sizing: border-box;
                background-color: #ffffff;
                position: relative;
                display: flex;
                align-items: flex-start;
                height: 100%;
                width: 100%;
                border-radius: 5px;
                border: 1px solid rgba(0, 0, 0, 0.2);
                flex-direction: row;
                cursor: pointer;
                padding: 4px 15px;

                &.active {
                  border-radius: 5px 5px 0 0;
                  border-bottom: none;
                }

                > span.option-selected {
                  box-sizing: border-box;
                  font-size: 18px;
                  width: calc(99% - 18px);
                  height: 100%;
                  padding: 5px 0px;
                  margin: 0 3px;
                  display: flex;
                  justify-content: flex-start;
                  align-items: center;
                  white-space: nowrap;
                  overflow: hidden;
                  text-overflow: ellipsis;
                  color: rgba(0, 0, 0, 0.8);

                  > span {
                    width: 100%;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    white-space: nowrap;
                    font-size: 18px;
                  }
                }

                .select-options {
                  display: none;
                  position: absolute;
                  background-color: #ffffff;
                  border: 1px solid rgba(0, 0, 0, 0.2);
                  border-top: none;
                  width: 100.6%;
                  top: 100%;
                  left: -1px;
                  margin: 0;
                  padding: 0;
                  box-sizing: border-box;
                  border-radius: 0 0 5px 5px;
                  height: 100%;
                  max-height: 165px;
                  overflow-y: scroll;
                  z-index: 99;

                  &.active {
                    display: block;
                    height: auto;
                  }

                  li {
                    list-style: none;
                    padding: 10px 20px;
                    transition: all 0.25s;
                    font-size: 16px;
                    width: auto;
                    height: 20px;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    white-space: nowrap;

                    &:hover {
                      background-color: #697379;
                      color: #ffffff;
                      cursor: pointer;
                    }
                  }
                }
              }
            }

            .filter__submit {
              box-sizing: border-box;
              display: flex;
              flex-direction: row;
              justify-content: center;
              align-items: center;
              background-color: $bg-primary-color;
              border-radius: 5px;
              padding: 8px 16px;
              margin: 0 8px;
              cursor: pointer;
              min-width: 88px;

              &-text {
                margin-left: 8px;
                color: $text-white-color;
              }
            }
          }

          .table__content {
            display: block;
            width: calc(100% - 32px);
            margin: 8px 16px;

            .table__wrapper {
              width: 100%;
              border-collapse: collapse;
              font-size: 16px;
              font-family: $font-family;

              .table__header {
                width: 100%;
                border-top: 1px solid rgba(0, 0, 0, 0.14);
                border-bottom: 1px solid rgba(0, 0, 0, 0.14);

                .header-project__name {
                  width: 25%;
                  text-align: center;
                  box-sizing: border-box;
                  padding: 8px 12px;
                }

                .header-creator__name {
                  width: 20%;
                  text-align: center;
                  box-sizing: border-box;
                  padding: 8px 12px;
                }

                .header-time__notify {
                  width: 15%;
                  box-sizing: border-box;
                  padding: 8px 12px;
                }

                .header-process__time {
                  width: 15%;
                  box-sizing: border-box;
                  padding: 8px 12px;
                }

                .header-notify__status {
                  width: 10%;
                  box-sizing: border-box;
                  padding: 8px 12px;
                }

                .header-row__controller {
                  display: flex;
                  flex-direction: row;
                  flex-wrap: nowrap;
                  justify-content: center;
                  align-items: center;
                  width: auto;
                  box-sizing: border-box;
                  padding: 8px 12px;
                }
              }

              .table__body {
                > tr {
                  display: table-row;
                  border-bottom: 1px solid rgba(0, 0, 0, 0.14);
                  z-index: -1;
                  cursor: pointer;

                  &:hover {
                    background-color: rgba(0, 0, 0, 0.14);
                  }
                }

                .body-project__name {
                  width: 25%;
                  box-sizing: border-box;
                  padding: 12px;
                  text-align: center;
                  cursor: pointer;
                }

                .body-creator__name {
                  width: 20%;
                  text-align: center;
                  box-sizing: border-box;
                  padding: 8px 12px;
                }

                .body-time__notify {
                  width: 15%;
                  box-sizing: border-box;
                  padding: 8px 12px;
                  text-align: center;
                }

                .body-process__time {
                  width: 15%;
                  box-sizing: border-box;
                  padding: 8px 12px;
                  text-align: center;
                }

                .body-notify__status {
                  width: auto;
                  box-sizing: border-box;
                  padding: 8px 12px;
                  text-align: center;
                }

                .body-row__controller {
                  display: flex;
                  flex-direction: row;
                  flex-wrap: nowrap;
                  justify-content: space-around;
                  align-items: center;
                  box-sizing: border-box;
                  padding: 8px 12px;

                  .record__btn {
                    display: flex;
                    justify-content: center;
                    align-items: center;

                    &-bg {
                      display: flex;
                      justify-content: center;
                      align-items: center;
                      border-radius: 50%;
                      background-color: rgba(48, 143, 204, 0.2);
                      box-sizing: border-box;
                      padding: 6px;
                    }
                  }

                  .delete__btn {
                    display: flex;
                    justify-content: center;
                    align-items: center;

                    &-bg {
                      display: flex;
                      justify-content: center;
                      align-items: center;
                      border-radius: 50%;
                      background-color: #faddd8;
                      box-sizing: border-box;
                      padding: 6px;
                    }
                  }
                }
              }
            }

            .pagination {
              display: flex;
              justify-content: center;
              align-items: center;
              width: 100%;
              margin-top: 20px;

              &__list {
                list-style: none;
                display: flex;
                flex-direction: row;
                justify-content: center;
                align-items: center;
                width: 100%;
              }

              &__item {
                box-sizing: border-box;
                padding: 4px 8px;
                border-radius: 5px;
                display: flex;
                justify-content: center;
                align-items: center;
                border: 1px solid rgba(0, 0, 0, 0.2);
                margin: 8px;
                color: $text-dark-color;
                cursor: pointer;

                &:hover {
                  background-color: rgba($bg-primary-color, 0.8);
                  border: 1px solid rgba($bg-green-blue-crayola, 0.2);
                  color: $text-white-color;
                }

                &.active {
                  color: $text-white-color;
                  background-color: $bg-primary-color;
                  border: 1px solid rgba($bg-primary-color, 0.2);
                }

                &-text {
                  font-size: 16px;
                  color: inherit;
                }
              }
            }
          }
        }
      }

      &#new-podcast {
        overflow: hidden;
        overflow-y: scroll;

        .cucumber__list {
          display: flex;
          flex-direction: row;
          justify-content: flex-start;
          align-items: center;
          width: 100%;

          &-item {
            display: flex;
            justify-content: center;
            align-items: center;
            text-decoration: none;
            font-size: 18px;
            color: $text-dark-color;

            &:hover {
              color: #448aff;
            }

            &.active {
              color: rgba($bg-united-nations-blue, 0.8);
              &:hover {
                background-color: transparent;
              }
            }
          }

          &-divider::after {
            content: ">";
            margin: 0 8px;
          }
        }

        .content__body {
          box-sizing: border-box;
          display: flex;
          flex-direction: column;
          justify-content: flex-start;
          align-items: center;
          width: 100%;
          padding: 8px 16px;
          // overflow: hidden;
          // overflow-y: scroll;

          // background-color: $bg-white-color;
          background-color: green;

          .disable__area {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
            width: 100%;
            margin: 8px 0;

            &-input {
              display: flex;
              flex: 1;
              flex-direction: column;
              justify-content: flex-start;
              align-items: flex-start;
              width: calc(100% - 32px);
              margin: 0 16px;

              &:first-child {
                margin-left: 0;
              }

              &:last-child {
                margin-right: 0;
              }

              &-title {
                font-size: 18px;
                font-family: $font-family;
                margin-bottom: 8px;
              }

              &-box {
                box-sizing: border-box;
                display: flex;
                flex: 1;
                justify-content: center;
                align-items: flex-start;
                padding: 4px 8px;
                border: 1px solid rgba(0, 0, 0, 0.2);
                border-radius: $border-radius-default;
                cursor: not-allowed;
                background-color: rgba(0, 0, 0, 0.1);

                width: 100%;

                > input {
                  color: $text-dark-color;
                  font-size: 16px;
                  font-family: $font-family;
                  width: 100%;
                  border: none;
                  outline: none;
                  cursor: not-allowed;
                }
              }
            }
          }

          .row__input {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
            width: 100%;
            margin: 8px 0;

            .single__input {
              display: flex;
              flex-direction: column;
              justify-content: center;
              align-items: flex-start;
              width: 50%;

              &:first-child {
                margin-right: 8px;
              }

              &:last-child {
                margin-left: 8px;
              }

              &-title {
                font-size: 18px;
                font-family: $font-family;
                margin-bottom: 8px;
                width: 100%;
              }

              &-box {
                box-sizing: border-box;
                display: flex;
                justify-content: center;
                align-items: flex-start;
                padding: 4px 8px;
                border: 1px solid rgba(0, 0, 0, 0.2);
                border-radius: $border-radius-default;
                width: 100%;

                > input {
                  color: $text-dark-color;
                  font-size: 16px;
                  font-family: $font-family;
                  width: 100%;
                  border: none;
                  outline: none;
                }
              }

              &-dropdown {
                width: calc(100% - 10px);
                .dropdown-field {
                  box-sizing: border-box;
                  background-color: #ffffff;
                  position: relative;
                  display: flex;
                  align-items: flex-start;
                  height: 100%;
                  width: 100%;
                  border-radius: 5px;
                  border: 1px solid rgba(0, 0, 0, 0.2);
                  flex-direction: row;
                  cursor: pointer;
                  padding: 0 15px;

                  &.active {
                    border-radius: 5px 5px 0 0;
                    border-bottom: none;
                  }

                  > span.option-selected {
                    box-sizing: border-box;
                    font-size: 16px;
                    width: calc(99% - 18px);
                    height: 100%;
                    padding: 5px 0px;
                    margin: 0 3px;
                    display: flex;
                    justify-content: flex-start;
                    align-items: center;
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    color: rgba(0, 0, 0, 0.8);

                    > span {
                      width: 100%;
                      overflow: hidden;
                      text-overflow: ellipsis;
                      white-space: nowrap;
                      font-size: 18px;
                    }
                  }

                  .select-options {
                    display: none;
                    position: absolute;
                    background-color: #ffffff;
                    border: 1px solid rgba(0, 0, 0, 0.2);
                    border-top: none;
                    width: 100.6%;
                    top: 100%;
                    left: -1px;
                    margin: 0;
                    padding: 0;
                    box-sizing: border-box;
                    border-radius: 0 0 5px 5px;
                    height: 100%;
                    max-height: 165px;
                    overflow-y: scroll;
                    z-index: 99;

                    &.active {
                      display: block;
                      height: auto;
                    }

                    li {
                      list-style: none;
                      padding: 10px 20px;
                      transition: all 0.25s;
                      font-size: 16px;
                      width: auto;
                      height: 20px;
                      overflow: hidden;
                      text-overflow: ellipsis;
                      white-space: nowrap;

                      &:hover {
                        background-color: #697379;
                        color: #ffffff;
                        cursor: pointer;
                      }
                    }
                  }
                }
              }
            }

            .inline__input {
              display: flex;
              flex-direction: row;
              justify-content: flex-start;
              align-items: center;
              width: 50%;

              &:first-child {
                margin-right: 8px;
              }

              &:last-child {
                margin-left: 8px;
              }

              &-title {
                font-size: 18px;
                font-family: $font-family;
                margin-right: 16px;
              }

              &-box {
                box-sizing: border-box;
                display: flex;
                justify-content: center;
                align-items: flex-start;
                padding: 4px 8px;

                &__radio {
                  display: block;
                  position: relative;
                  cursor: pointer;
                  font-size: 16px;
                  user-select: none;
                  width: max-content;
                  padding-left: 30px;
                  margin: 0 5px;

                  > input {
                    position: absolute;
                    opacity: 0;
                    cursor: pointer;
                  }

                  .radio__mark {
                    position: absolute;
                    top: 0;
                    left: 0;
                    width: 20px;
                    height: 20px;
                    border-radius: 5px;
                    background-color: #fff;
                    border: 1px solid #448aff;
                  }

                  .radio__mark:after {
                    content: "";
                    position: absolute;
                    display: none;
                  }

                  > input:checked ~ .radio__mark:after {
                    display: block;
                  }

                  .radio__mark:after {
                    top: 3px;
                    right: 3px;
                    left: 3px;
                    width: 14px;
                    height: 14px;
                    border-radius: 2px;
                    background-color: #146aff;
                  }
                }
              }
            }

            .upload__input {
              display: flex;
              flex-direction: column;
              justify-content: flex-start;
              align-items: flex-start;
              width: 50%;
              margin-left: 6px;

              &-title {
                display: flex;
                flex-direction: row;
                justify-content: flex-start;
                align-items: center;
                font-size: 18px;
                font-family: $font-family;
                margin-bottom: 8px;
                width: 100%;

                > a {
                  margin-left: 8px;
                }
              }

              &-box {
                display: flex;
                flex-direction: row;
                flex-wrap: nowrap;
                justify-content: flex-start;
                align-items: center;
                width: 100%;

                .name__list__upload {
                  box-sizing: border-box;
                  display: flex;
                  justify-content: flex-start;
                  align-items: center;
                  border: 1px solid rgba(0, 0, 0, 0.2);
                  padding: 8px 12px;
                  border-radius: $border-radius-default;
                  width: 100%;

                  &-label {
                    cursor: pointer;
                    width: 100%;
                  }

                  &-input {
                    opacity: 0;
                    position: absolute;
                    z-index: -1;
                  }
                }
              }
            }
          }

          .multi__input {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: flex-start;
            width: 100%;
            margin-top: 4px;

            &-title {
              display: flex;
              justify-content: center;
              align-items: center;
              width: 100%;
              cursor: pointer;

              .divider {
                display: flex;
                justify-content: center;
                align-items: center;
                margin: 0 auto;
                width: 40%;
                height: 1px;
                background-color: $bg-primary-color;
              }

              > label {
                display: flex;
                justify-content: flex-start;
                align-items: center;
                cursor: pointer;
                box-sizing: border-box;
                padding: 8px;

                &:hover {
                  background-color: rgba(0, 0, 0, 0.1);
                  border-radius: 5px;
                }
              }

              &-text {
                margin-right: 8px;
                font-size: 18px;
              }
            }

            .multi__input-content {
              display: block;
              width: 100%;
            }

            .browser__title {
              display: flex;
              flex-direction: column;
              justify-content: center;
              align-items: flex-start;
              width: 100%;
              margin-top: 8px;

              &-text {
                margin: 4px 0 8px;
                > span {
                  display: flex;
                  justify-content: flex-start;
                  align-items: center;
                  font-size: 14px;

                  a.rpa__tooltip {
                    margin-left: 8px;
                  }
                }
              }

              &-input__box {
                display: flex;
                flex-direction: row;
                justify-content: space-between;
                align-items: center;
                width: 100%;

                &-zh-tw {
                  box-sizing: border-box;
                  display: flex;
                  justify-content: center;
                  align-items: center;
                  width: 100%;
                  padding: 6px 8px;
                  border: 1px solid rgba(0, 0, 0, 0.2);
                  border-radius: $border-radius-default;
                  margin-right: 8px;
                }

                &-vn {
                  box-sizing: border-box;
                  display: flex;
                  justify-content: center;
                  align-items: center;
                  width: 100%;
                  padding: 6px 8px;
                  border: 1px solid rgba(0, 0, 0, 0.2);
                  border-radius: $border-radius-default;
                  margin-left: 8px;
                }

                &-textarea {
                  border: none;
                  outline: none;
                  resize: none;
                  width: 100%;
                  font-size: 16px;
                }

                &-upload {
                  box-sizing: border-box;
                  display: flex;
                  justify-content: flex-start;
                  align-items: center;
                  border: 1px solid rgba(0, 0, 0, 0.2);
                  padding: 8px 12px;
                  border-radius: $border-radius-default;
                  width: 100%;

                  .image__upload-label {
                    cursor: pointer;
                    width: 100%;
                  }

                  .image__upload-input {
                    opacity: 0;
                    position: absolute;
                    z-index: -1;
                  }
                }
              }
            }
          }
        }

        .content__footer {
          box-sizing: border-box;
          display: flex;
          flex-direction: row;
          justify-content: flex-end;
          align-items: center;
          width: 100%;
          padding: 8px 16px;
          background-color: $bg-white-color;

          .cancel__submit {
            box-sizing: border-box;
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 8px 16px;
            border-radius: $border-radius-default;
            margin: 8px;
            cursor: pointer;

            &:hover {
              background-color: #c4c4c4;
            }

            &-text {
              color: $text-dark-color;
              font-size: 18px;
              font-family: $font-family;
            }
          }

          .confirm__submit {
            box-sizing: border-box;
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 8px 16px;
            background-color: $bg-primary-color;
            border-radius: $border-radius-default;
            margin: 8px;
            opacity: 0.8;
            cursor: pointer;

            &:hover {
              opacity: 1;
            }

            &-text {
              color: $text-white-color;
              font-size: 18px;
              font-family: $font-family;
            }
          }
        }
      }
    }

    .float__icon {
      > label {
        cursor: pointer;
      }

      box-sizing: border-box;
      position: fixed;
      right: 16px;
      bottom: 66px;
      width: 56px;
      height: 56px;
      background-color: $bg-united-nations-blue;
      box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
      border-radius: 50%;
      padding: 16px;
    }
  }
}
// Main Content END

// Delete Set Modal BEGIN
#delete-promote-modal {
  display: none;

  &:checked ~ .delete__promote__modal {
    display: flex;
  }

  &:checked ~ .delete__promote__modal__bg {
    display: block;
    overflow: hidden;
  }
}

.delete__promote {
  &__modal__bg {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    z-index: 9998;
    background-color: rgba(0, 0, 0, 0.3);
  }

  &__modal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    float: left;
    box-sizing: border-box;
    background-color: $bg-white-color;
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 300px;
    height: auto;
    z-index: 9999;
    border-radius: $border-radius-default;

    .modal__header {
      box-sizing: border-box;
      padding: 14px;
      display: flex;
      flex-direction: row;
      justify-content: flex-start;
      align-items: center;
      width: 100%;
      height: 50px;

      > span {
        width: 100%;
        font-family: Roboto;
        font-size: 18px;
        color: $text-dark-color;
      }
    }

    .modal__divider {
      height: 1px;
      width: 100%;
      background-color: rgba(0, 0, 0, 0.2);
      margin: 8px 0;
    }

    .modal__body {
      box-sizing: border-box;
      padding: 10px 16px;
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      align-items: center;
      width: 100%;

      > span {
        width: 100%;
        font-size: 18px;
        color: $text-dark-color;
      }
    }

    .modal__footer {
      box-sizing: border-box;
      padding: 8px 24px 14px;
      display: flex;
      flex-direction: row-reverse;
      justify-content: flex-start;
      align-items: center;
      width: 100%;
      min-height: 50px;

      .comfirm__delete {
        box-sizing: border-box;
        padding: 8px 12px;

        display: flex;
        justify-content: center;
        align-items: center;

        border-radius: 5px;
        background-color: $bg-fiery-rose;
        margin-left: 8px;
        cursor: pointer;

        &-text {
          font-size: 16px;
          color: $text-white-color;
        }
      }

      .cancel__submit {
        box-sizing: border-box;
        padding: 8px 12px;

        display: flex;
        justify-content: center;
        align-items: center;

        border-radius: 5px;
        margin-right: 8px;
        cursor: pointer;

        width: max-content;
        height: max-content;

        &-text {
          font-size: 16px;
          color: $text-dark-color;
        }

        &:hover {
          cursor: pointer;

          &-text {
            color: $text-white-color;
          }
          background-color: #c4c4c4;
        }
      }
    }
  }
}
// Delete Set Modal END

// Record List Modal BEGIN
#record-list-modal {
  display: none;

  &:checked ~ .record__list__modal {
    display: flex;
  }

  &:checked ~ .record__list__modal__bg {
    display: block;
    overflow: hidden;
  }
}

.record__list {
  &__modal__bg {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    z-index: 9998;
    background-color: rgba(0, 0, 0, 0.3);
  }

  &__modal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    float: left;
    box-sizing: border-box;
    background-color: $bg-white-color;
    display: none;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 300px;
    z-index: 9999;
    border-radius: $border-radius-default;

    height: 400px;

    .header__row {
      box-sizing: border-box;
      display: flex;
      flex-direction: row;
      flex-wrap: nowrap;
      justify-content: space-between;
      align-items: center;
      width: 100%;
      // background-color: rgba($bg-primary-color, 0.5);
      padding: 8px;
      border-radius: $border-radius-default $border-radius-default 0 0;
      height: 50px;

      border-bottom: 1px solid rgba(0, 0, 0, 0.2);

      &-id,
      &-status {
        display: flex;
        justify-content: center;
        align-items: center;
        color: $text-dark-color;
        font-size: 22px;
        font-family: $font-family;

        width: 50%;
      }
    }

    .status__list {
      list-style: none;
      width: 100%;
      height: calc(400px - 50px);
      overflow: hidden;
      overflow-y: scroll;

      &-item {
        box-sizing: border-box;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        margin-top: 8px;

        list-style-type: none;
        font-size: 17px;
        padding: 5px;

        &:nth-child(even) {
          background-color: rgba($bg-united-nations-blue, 0.14);
        }

        .item-row {
          display: flex;
          flex-direction: row;
          justify-content: center;
          align-items: center;
          padding: 4px 8px;
          width: 100%;

          &-id {
            display: flex;
            justify-content: center;
            align-items: center;
            width: 55%;
          }

          &-status {
            display: flex;
            justify-content: center;
            align-items: center;
            width: 45%;
          }
        }
      }
    }
  }
}
// Record List Modal END

// Create New Push Notification Modal BEGIN
#create-new-podcast-modal {
  display: none;

  &:checked ~ .create__new__podcast__modal {
    display: flex;
  }

  &:checked ~ .create__new__podcast__modal__bg {
    display: block;
    overflow: hidden;
  }
}

.create__new__podcast {
  &__modal__bg {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    z-index: 9998;
    background-color: rgba(0, 0, 0, 0.3);
  }

  &__modal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    float: left;
    box-sizing: border-box;
    background-color: $bg-white-color;
    display: none;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 650px;
    height: auto;
    z-index: 9999;
    border-radius: $border-radius-default;

    .modal__header {
      box-sizing: border-box;
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      padding: 8px 16px;
      width: 100%;
      margin-top: 8px;

      &-title {
        font-size: 28px;
        font-family: $font-family;
      }

      &-close {
        margin-right: 8px;
        cursor: pointer;
      }
    }

    .modal__divider {
      background-color: rgba(0, 0, 0, 0.2);
      width: 100%;
      height: 1px;
      margin: 8px 0;
    }

    .modal__body {
      box-sizing: border-box;
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      align-items: center;
      width: 100%;
      padding: 8px 16px;
      height: calc(80vh - 300px);
      overflow: hidden;
      overflow-y: scroll;

      .disable__area {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        margin: 8px 0;

        &-input {
          display: flex;
          flex-direction: column;
          justify-content: flex-start;
          align-items: flex-start;

          &-title {
            font-size: 18px;
            font-family: $font-family;
            margin-bottom: 8px;
          }

          &-box {
            box-sizing: border-box;
            display: flex;
            justify-content: center;
            align-items: flex-start;
            padding: 4px 8px;
            border: 1px solid rgba(0, 0, 0, 0.2);
            border-radius: $border-radius-default;
            cursor: not-allowed;
            background-color: rgba(0, 0, 0, 0.1);

            > input {
              color: $text-dark-color;
              font-size: 16px;
              font-family: $font-family;
              width: 100%;
              border: none;
              outline: none;
              cursor: not-allowed;
            }
          }
        }
      }

      .row__input {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        margin: 8px 0;

        .single__input {
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: flex-start;
          width: 50%;

          &:first-child {
            margin-right: 8px;
          }

          &:last-child {
            margin-left: 8px;
          }

          &-title {
            font-size: 18px;
            font-family: $font-family;
            margin-bottom: 8px;
            width: 100%;
          }

          &-box {
            box-sizing: border-box;
            display: flex;
            justify-content: center;
            align-items: flex-start;
            padding: 4px 8px;
            border: 1px solid rgba(0, 0, 0, 0.2);
            border-radius: $border-radius-default;
            width: 100%;

            > input {
              color: $text-dark-color;
              font-size: 16px;
              font-family: $font-family;
              width: 100%;
              border: none;
              outline: none;
            }
          }

          &-dropdown {
            width: calc(100% - 10px);
            .dropdown-field {
              box-sizing: border-box;
              background-color: #ffffff;
              position: relative;
              display: flex;
              align-items: flex-start;
              height: 100%;
              width: 100%;
              border-radius: 5px;
              border: 1px solid rgba(0, 0, 0, 0.2);
              flex-direction: row;
              cursor: pointer;
              padding: 0 15px;

              &.active {
                border-radius: 5px 5px 0 0;
                border-bottom: none;
              }

              > span.option-selected {
                box-sizing: border-box;
                font-size: 16px;
                width: calc(99% - 18px);
                height: 100%;
                padding: 5px 0px;
                margin: 0 3px;
                display: flex;
                justify-content: flex-start;
                align-items: center;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
                color: rgba(0, 0, 0, 0.8);

                > span {
                  width: 100%;
                  overflow: hidden;
                  text-overflow: ellipsis;
                  white-space: nowrap;
                  font-size: 18px;
                }
              }

              .select-options {
                display: none;
                position: absolute;
                background-color: #ffffff;
                border: 1px solid rgba(0, 0, 0, 0.2);
                border-top: none;
                width: 100.6%;
                top: 100%;
                left: -1px;
                margin: 0;
                padding: 0;
                box-sizing: border-box;
                border-radius: 0 0 5px 5px;
                height: 100%;
                max-height: 165px;
                overflow-y: scroll;
                z-index: 99;

                &.active {
                  display: block;
                  height: auto;
                }

                li {
                  list-style: none;
                  padding: 10px 20px;
                  transition: all 0.25s;
                  font-size: 16px;
                  width: auto;
                  height: 20px;
                  overflow: hidden;
                  text-overflow: ellipsis;
                  white-space: nowrap;

                  &:hover {
                    background-color: #697379;
                    color: #ffffff;
                    cursor: pointer;
                  }
                }
              }
            }
          }
        }

        .inline__input {
          display: flex;
          flex-direction: row;
          justify-content: flex-start;
          align-items: center;
          width: 50%;

          &:first-child {
            margin-right: 8px;
          }

          &:last-child {
            margin-left: 8px;
          }

          &-title {
            font-size: 18px;
            font-family: $font-family;
            margin-right: 16px;
          }

          &-box {
            box-sizing: border-box;
            display: flex;
            justify-content: center;
            align-items: flex-start;
            padding: 4px 8px;

            &__radio {
              display: block;
              position: relative;
              cursor: pointer;
              font-size: 16px;
              user-select: none;
              width: max-content;
              padding-left: 30px;
              margin: 0 5px;

              > input {
                position: absolute;
                opacity: 0;
                cursor: pointer;
              }

              .radio__mark {
                position: absolute;
                top: 0;
                left: 0;
                width: 20px;
                height: 20px;
                border-radius: 5px;
                background-color: #fff;
                border: 1px solid #448aff;
              }

              .radio__mark:after {
                content: "";
                position: absolute;
                display: none;
              }

              > input:checked ~ .radio__mark:after {
                display: block;
              }

              .radio__mark:after {
                top: 3px;
                right: 3px;
                left: 3px;
                width: 14px;
                height: 14px;
                border-radius: 2px;
                background-color: #146aff;
              }
            }
          }
        }

        .upload__input {
          display: flex;
          flex-direction: column;
          justify-content: flex-start;
          align-items: flex-start;
          width: 50%;
          margin-left: 6px;

          &-title {
            display: flex;
            flex-direction: row;
            justify-content: flex-start;
            align-items: center;
            font-size: 18px;
            font-family: $font-family;
            margin-bottom: 8px;
            width: 100%;

            > a {
              margin-left: 8px;
            }
          }

          &-box {
            display: flex;
            flex-direction: row;
            flex-wrap: nowrap;
            justify-content: flex-start;
            align-items: center;
            width: 100%;

            .name__list__upload {
              box-sizing: border-box;
              display: flex;
              justify-content: flex-start;
              align-items: center;
              border: 1px solid rgba(0, 0, 0, 0.2);
              padding: 8px 12px;
              border-radius: $border-radius-default;
              width: 100%;

              &-label {
                cursor: pointer;
                width: 100%;
              }

              &-input {
                opacity: 0;
                position: absolute;
                z-index: -1;
              }
            }
          }
        }
      }

      .multi__input {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        width: 100%;
        margin-top: 4px;

        &-title {
          display: flex;
          justify-content: center;
          align-items: center;
          width: 100%;
          cursor: pointer;

          .divider {
            display: flex;
            justify-content: center;
            align-items: center;
            margin: 0 auto;
            width: 30%;
            height: 1px;
            background-color: $bg-primary-color;
          }

          > label {
            display: flex;
            justify-content: flex-start;
            align-items: center;
            cursor: pointer;
            box-sizing: border-box;
            padding: 8px;

            &:hover {
              background-color: rgba(0, 0, 0, 0.1);
              border-radius: 5px;
            }
          }

          &-text {
            margin-right: 8px;
            font-size: 18px;
          }
        }

        #browser-content-controller {
          display: none;
        }

        #browser-content-controller:checked ~ .multi__input-content {
          display: block;
        }

        #browser-content-controller:checked
          ~ .multi__input-title
          .icon-arrow__down {
          transform: rotate(0.5turn);
          transition: transform 0.5s ease-in-out;
        }

        #mobile-content-controller {
          display: none;
        }

        #mobile-content-controller:checked ~ .multi__input-content {
          display: block;
        }

        #mobile-content-controller:checked
          ~ .multi__input-title
          .icon-arrow__down {
          transform: rotate(0.5turn);
          transition: transform 0.5s ease-in-out;
        }

        .multi__input-content {
          display: none;
          width: 100%;
        }

        .browser__title {
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: flex-start;
          width: 100%;
          margin-top: 8px;

          &-text {
            margin: 4px 0 8px;
            > span {
              display: flex;
              justify-content: flex-start;
              align-items: center;
              font-size: 14px;

              a.rpa__tooltip {
                margin-left: 8px;
              }
            }
          }

          &-input__box {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
            width: 100%;

            &-zh-tw {
              box-sizing: border-box;
              display: flex;
              justify-content: center;
              align-items: center;
              width: 100%;
              padding: 6px 8px;
              border: 1px solid rgba(0, 0, 0, 0.2);
              border-radius: $border-radius-default;
              margin-right: 8px;
            }

            &-vn {
              box-sizing: border-box;
              display: flex;
              justify-content: center;
              align-items: center;
              width: 100%;
              padding: 6px 8px;
              border: 1px solid rgba(0, 0, 0, 0.2);
              border-radius: $border-radius-default;
              margin-left: 8px;
            }

            &-textarea {
              border: none;
              outline: none;
              resize: none;
              width: 100%;
              font-size: 16px;
            }

            &-upload {
              box-sizing: border-box;
              display: flex;
              justify-content: flex-start;
              align-items: center;
              border: 1px solid rgba(0, 0, 0, 0.2);
              padding: 8px 12px;
              border-radius: $border-radius-default;
              width: 100%;

              .image__upload-label {
                cursor: pointer;
                width: 100%;
              }

              .image__upload-input {
                opacity: 0;
                position: absolute;
                z-index: -1;
              }
            }
          }
        }
      }
    }

    .modal__footer {
      box-sizing: border-box;
      display: flex;
      flex-direction: row;
      justify-content: flex-end;
      align-items: center;
      width: 100%;
      padding: 8px 16px;

      .cancel__submit {
        box-sizing: border-box;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 8px 16px;
        border-radius: $border-radius-default;
        margin: 8px;
        cursor: pointer;

        &:hover {
          background-color: #c4c4c4;
        }

        &-text {
          color: $text-dark-color;
          font-size: 18px;
          font-family: $font-family;
        }
      }

      .confirm__submit {
        box-sizing: border-box;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 8px 16px;
        background-color: $bg-primary-color;
        border-radius: $border-radius-default;
        margin: 8px;
        opacity: 0.8;
        cursor: pointer;

        &:hover {
          opacity: 1;
        }

        &-text {
          color: $text-white-color;
          font-size: 18px;
          font-family: $font-family;
        }
      }
    }
  }
}
// Create New Push Notification Modal END

// Create New Push Notification Modal BEGIN
#edit-podcast-modal {
  display: none;

  &:checked ~ .edit__podcast__modal {
    display: flex;
  }

  &:checked ~ .edit__podcast__modal__bg {
    display: block;
    overflow: hidden;
  }
}

.edit__podcast {
  &__modal__bg {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    z-index: 9998;
    background-color: rgba(0, 0, 0, 0.3);
  }

  &__modal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    float: left;
    box-sizing: border-box;
    background-color: $bg-white-color;
    display: none;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 650px;
    height: auto;
    z-index: 9999;
    border-radius: $border-radius-default;

    .modal__header {
      box-sizing: border-box;
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      padding: 8px 16px;
      width: 100%;
      margin-top: 8px;

      &-title {
        font-size: 28px;
        font-family: $font-family;
      }

      &-close {
        margin-right: 8px;
        cursor: pointer;
      }
    }

    .modal__divider {
      background-color: rgba(0, 0, 0, 0.2);
      width: 100%;
      height: 1px;
      margin: 8px 0;
    }

    .modal__body {
      box-sizing: border-box;
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      align-items: center;
      width: 100%;
      padding: 8px 16px;
      height: calc(80vh - 300px);
      overflow: hidden;
      overflow-y: scroll;

      .disable__area {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        margin: 8px 0;

        &-input {
          display: flex;
          flex-direction: column;
          justify-content: flex-start;
          align-items: flex-start;

          &-title {
            font-size: 18px;
            font-family: $font-family;
            margin-bottom: 8px;
          }

          &-box {
            box-sizing: border-box;
            display: flex;
            justify-content: center;
            align-items: flex-start;
            padding: 4px 8px;
            border: 1px solid rgba(0, 0, 0, 0.2);
            border-radius: $border-radius-default;
            cursor: not-allowed;
            background-color: rgba(0, 0, 0, 0.1);

            > input {
              color: $text-dark-color;
              font-size: 16px;
              font-family: $font-family;
              width: 100%;
              border: none;
              outline: none;
              cursor: not-allowed;
            }
          }
        }
      }

      .row__input {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        margin: 8px 0;

        .single__input {
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: flex-start;
          width: 50%;

          &:first-child {
            margin-right: 8px;
          }

          &:last-child {
            margin-left: 8px;
          }

          &-title {
            font-size: 18px;
            font-family: $font-family;
            margin-bottom: 8px;
            width: 100%;
          }

          &-box {
            box-sizing: border-box;
            display: flex;
            justify-content: center;
            align-items: flex-start;
            padding: 4px 8px;
            border: 1px solid rgba(0, 0, 0, 0.2);
            border-radius: $border-radius-default;
            cursor: not-allowed;
            background-color: rgba(0, 0, 0, 0.1);
            width: 100%;

            > input {
              color: $text-dark-color;
              font-size: 16px;
              font-family: $font-family;
              width: 100%;
              border: none;
              outline: none;
              cursor: not-allowed;
            }
          }
        }

        .inline__input {
          display: flex;
          flex-direction: row;
          justify-content: flex-start;
          align-items: center;
          width: 50%;

          &:first-child {
            margin-right: 8px;
          }

          &:last-child {
            margin-left: 8px;
          }

          &-title {
            font-size: 18px;
            font-family: $font-family;
            margin-right: 16px;
          }

          &-box {
            box-sizing: border-box;
            display: flex;
            justify-content: center;
            align-items: flex-start;
            padding: 4px 8px;

            &__radio {
              display: block;
              position: relative;
              cursor: not-allowed;
              font-size: 18px;
              user-select: none;
              width: max-content;
              padding-left: 30px;
              margin: 0 5px;

              > input {
                position: absolute;
                opacity: 0;
                cursor: not-allowed;
              }

              .radio__mark {
                position: absolute;
                top: 0;
                left: 0;
                width: 20px;
                height: 20px;
                border-radius: 5px;
                background-color: #fff;
                border: 1px solid #448aff;
              }

              .radio__mark:after {
                content: "";
                position: absolute;
                display: none;
              }

              > input:checked ~ .radio__mark:after {
                display: block;
              }

              .radio__mark:after {
                top: 3px;
                right: 3px;
                left: 3px;
                width: 14px;
                height: 14px;
                border-radius: 2px;
                background-color: #146aff;
              }
            }
          }
        }

        .upload__input {
          display: flex;
          flex-direction: column;
          justify-content: flex-start;
          align-items: flex-start;
          width: 50%;
          margin-left: 6px;

          &-title {
            font-size: 18px;
            font-family: $font-family;
            margin-bottom: 8px;
            width: 100%;
          }
        }
      }

      .multi__input {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        width: 100%;
        margin-top: 4px;

        &-title {
          display: flex;
          justify-content: center;
          align-items: center;
          width: 100%;
          cursor: pointer;

          .divider {
            display: flex;
            justify-content: center;
            align-items: center;
            margin: 0 auto;
            width: 30%;
            height: 1px;
            background-color: $bg-primary-color;
          }

          > label {
            display: flex;
            justify-content: flex-start;
            align-items: center;
            cursor: pointer;
            box-sizing: border-box;
            padding: 8px;

            &:hover {
              background-color: rgba(0, 0, 0, 0.1);
              border-radius: 5px;
            }
          }

          &-text {
            margin-right: 8px;
            font-size: 18px;
          }
        }

        #edit-browser-content-controller {
          display: none;
        }

        #edit-browser-content-controller:checked ~ .multi__input-content {
          display: block;
        }

        #edit-browser-content-controller:checked
          ~ .multi__input-title
          .icon-arrow__down {
          transform: rotate(0.5turn);
          transition: transform 0.5s ease-in-out;
        }

        #edit-mobile-content-controller {
          display: none;
        }

        #edit-mobile-content-controller:checked ~ .multi__input-content {
          display: block;
        }

        #edit-mobile-content-controller:checked
          ~ .multi__input-title
          .icon-arrow__down {
          transform: rotate(0.5turn);
          transition: transform 0.5s ease-in-out;
        }

        .multi__input-content {
          display: none;
          width: 100%;
        }

        .browser__title {
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: flex-start;
          width: 100%;
          margin-top: 8px;

          &-text {
            margin: 4px 0 8px;
            > span {
              font-size: 14px;
            }
          }

          &-input__box {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
            width: 100%;

            &-zh-tw {
              box-sizing: border-box;
              display: flex;
              justify-content: center;
              align-items: center;
              width: 100%;
              padding: 6px 8px;
              border: 1px solid rgba(0, 0, 0, 0.2);
              border-radius: $border-radius-default;
              margin-right: 8px;
              cursor: not-allowed;
              background-color: rgba(0, 0, 0, 0.1);

              > input {
                color: $text-dark-color;
                font-size: 16px;
                font-family: $font-family;
                width: 100%;
                border: none;
                outline: none;
                cursor: not-allowed;
              }
            }

            &-textarea {
              color: $text-dark-color;
              border: none;
              outline: none;
              resize: none;
              width: 100%;
              font-size: 16px;
              cursor: not-allowed;
            }
          }
        }
      }
    }

    .modal__footer {
      box-sizing: border-box;
      display: flex;
      flex-direction: row;
      justify-content: flex-end;
      align-items: center;
      width: 100%;
      padding: 8px 16px;

      .cancel__push__notification {
        box-sizing: border-box;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 8px 16px;
        background-color: $bg-fiery-rose;
        border-radius: $border-radius-default;
        margin: 8px;
        opacity: 0.8;
        cursor: pointer;

        &:hover {
          opacity: 1;
        }

        &-text {
          color: $text-white-color;
          font-size: 18px;
          font-family: $font-family;
        }
      }
    }
  }
}
// Create New Push Notification Modal END
